<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center" >

    <TextView
        android:id="@+id/title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="6dip"
        android:text="服务器设置"
        android:textColor="@android:color/black"
        android:textSize="20dip" />

    <LinearLayout
        android:id="@+id/ipline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/title"
        android:layout_centerHorizontal="true"
        android:orientation="horizontal" >
        <TextView
            android:id="@+id/text2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="主机IP:"
            android:textColor="@android:color/black"
            android:textSize="20dip" />

        <EditText
            android:id="@+id/ip"
            android:layout_width="200dip"
            android:layout_height="wrap_content"
            android:hint="请输入服务器IP地址"
            android:singleLine="true" 
            android:text="125.64.92.62"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/portline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/ipline"
        android:layout_centerHorizontal="true"
        android:orientation="horizontal" >

        <TextView
            android:id="@+id/text3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="端   口:"
            android:textColor="@android:color/black"
            android:textSize="20dip" />

        <EditText
            android:id="@+id/port"
            android:layout_width="200dip"
            android:layout_height="wrap_content"
            android:hint="请输入服务器端口"
            android:singleLine="true" 
            android:text="9300"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/objectline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/portline"
        android:layout_centerHorizontal="true"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/text4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingTop="6dip"
            android:text="工程名:"
            android:textColor="@android:color/black"
            android:textSize="20dip" />

        <EditText
            android:id="@+id/itemName"
            android:layout_width="200dip"
            android:layout_height="wrap_content"
            android:hint="请输入工程名"
            android:singleLine="true"
            android:text="ChaoRanBI_PDA" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/gnline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignRight="@id/ipline"
        android:layout_below="@+id/objectline"
        android:layout_centerHorizontal="true"
        android:orientation="horizontal" >

        <Button
            android:id="@+id/btn1"
            android:layout_width="100dip"
            android:layout_height="wrap_content"
            android:onClick="onsub"
            android:text="保存" />

        <Button
            android:id="@+id/btn2"
            android:layout_width="100dip"
            android:layout_height="wrap_content"
            android:onClick="onback"
            android:text="返回" />
    </LinearLayout>

    <com.chaoran.component.AntLine
        android:id="@+id/line"
        android:layout_width="match_parent"
        android:layout_height="6dip"
        android:layout_below="@+id/gnline" />
    <Button
        android:id="@+id/zubut"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/line"
        android:onClick="pdaRegister"
        android:text="PDA注册" />

</RelativeLayout>